// Разрешаем менять конфиг
Ext.Loader.setConfig({enabled:true});
// Указываем папку для пользовательских разширений
Ext.Loader.setPath('Ext.ux', 'extjs/examples/ux');

Ext.application({
	name: 'Example', // Имя проекта

	appFolder: 'App', // Папка проэкта

	requires: [ // Тут подгружаем дополнительные модули
// Например самописные
//		'app.component.MyTree',
// Или из имеющихся
		'Ext.selection.CellModel',
		'Ext.grid.*',
		'Ext.data.*',
		'Ext.util.*',
		'Ext.state.*',
		'Ext.form.*',
// Другие пользовательские плагины
		'Ext.ux.CheckColumn'
	],

	launch: function() { // Заполняем проэкт объектами
		Ext.create('Ext.container.Viewport', {
			layout: 'fit',
			items: {
				xtype: 'myTestObj'
			}
		});
	},

	controllers: [
		'testController' // Подгружаем контроллеры
	]
});
