Ext.define('Example.controller.testController', {     // Объявление контроллера где последовательность такова "имяПроекта.имяПапкиКонтроллеровВПапкеПроекта.имяФайлаКонтроллера"
	extend: 'Ext.app.Controller', // Наследуем свой контроллер от стандартного экстового контроллера

	views: [ // Список шаблонов контроллера
		'testController.View'
	],

	init: function() {
		this.control({ // "Привязываем" события
			'button[id=testButton]': { // кнопке с id=testButton
				click: this.testButtonAction // по клику выполнить функцию testButtonAction
			}
		});
	},

	testButtonAction: function(button) { // параметры при клике на ботон "click( Ext.button.Button this, Event e, Object eOpts )". Посмотреть подробнее можно тут http://docs.sencha.com/ext-js/4-0/#!/api/Ext.button.Button-event-click
		Ext.MessageBox.alert('Test alert title', 'Test alert text');
		// У алерта на самом деле гораздо больше пораметров, посмотреть можно тут http://docs.sencha.com/ext-js/4-0/#!/api/Ext.window.MessageBox-method-alert
	}
});
